Lee Mac 发表于 2022-7-6 15:03:55

李常规的一个变化:

(defun c:test (/ pt len deg mIs Sec Ang)
(if (setq pt (getpoint "\nSelect Starting Point: "))
   (progn
   (command "_.line" "_non" pt)
   (while
       (and
         (not (initget 2))
         (setq len (getdist pt "\nSpecify Length: "))
         (or (setq deg (getreal "\nDegrees: ")) (setq deg 0.))
         (or (setq mIs (getreal "\nMinutes: ")) (setq mIs 0.))
         (or (setq Sec (getreal "\nSeconds: ")) (setq Sec 0.))
         (setq Ang (* pi (/ (+ deg (/ mIs 60.) (/ Sec 3600.)) 180.))
               pt (polar pt (+ (* -1. Ang) (/ pi 2.)) len)))
       (command "_non" pt))
   (command "")))
(princ))

CAB 发表于 2022-7-6 15:10:57

很好的一个艾伦-顺便说一句,你认识我张贴的例子从某处。。。
 
http://www.cadtutor.net/forum/showpost.php?p=173196&postcount=10

Lee Mac 发表于 2022-7-6 15:14:56

谢谢你们俩。
旁白:“Lisp Logic and More”tut非常好。
 
嗯,我有很多lisp问题,但它们实际上与绘制测量计划无关,所以我将在另一个线程中询问它们;这个问题解决了。

SteveK 发表于 2022-7-6 15:21:46

 
去问史蒂夫吧,我们很乐意解释

Lee Mac 发表于 2022-7-6 15:24:51

页: 1 [2]
查看完整版本: 图纸平面图